<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlClientCbs_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlClientCbs_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWaveLink client callback structure  
 <a href="structrl_client_cbs__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a3ae82df16e9fa40b1f779b5cf9c6c7c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ae82df16e9fa40b1f779b5cf9c6c7c5"></a>
<a class="el" href="structrl_com_if_cbs__t.html">rlComIfCbs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a3ae82df16e9fa40b1f779b5cf9c6c7c5">comIfCb</a></td></tr>
<tr class="memdesc:a3ae82df16e9fa40b1f779b5cf9c6c7c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Comunication Interface Callback. <br /></td></tr>
<tr class="separator:a3ae82df16e9fa40b1f779b5cf9c6c7c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37b4773b6f9df6b29055a818972bf696"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37b4773b6f9df6b29055a818972bf696"></a>
<a class="el" href="structrl_osi_cbs__t.html">rlOsiCbs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a37b4773b6f9df6b29055a818972bf696">osiCb</a></td></tr>
<tr class="memdesc:a37b4773b6f9df6b29055a818972bf696"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operating System Callback. <br /></td></tr>
<tr class="separator:a37b4773b6f9df6b29055a818972bf696"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a535669ce9b42bcb41b42de8ae28b4302"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a535669ce9b42bcb41b42de8ae28b4302"></a>
<a class="el" href="structrl_event_cbs__t.html">rlEventCbs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a535669ce9b42bcb41b42de8ae28b4302">eventCb</a></td></tr>
<tr class="memdesc:a535669ce9b42bcb41b42de8ae28b4302"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event Callback, required to receive notification. <br /></td></tr>
<tr class="separator:a535669ce9b42bcb41b42de8ae28b4302"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae65dab926e053dc24079e79b3b9c8e60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae65dab926e053dc24079e79b3b9c8e60"></a>
<a class="el" href="structrl_device_ctrl_cbs__t.html">rlDeviceCtrlCbs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#ae65dab926e053dc24079e79b3b9c8e60">devCtrlCb</a></td></tr>
<tr class="memdesc:ae65dab926e053dc24079e79b3b9c8e60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Device Control Callback. <br /></td></tr>
<tr class="separator:ae65dab926e053dc24079e79b3b9c8e60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e79e0eb4e4358a258a8789080c91f4a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e79e0eb4e4358a258a8789080c91f4a"></a>
<a class="el" href="structrl_timer_cbs__t.html">rlTimerCbs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a6e79e0eb4e4358a258a8789080c91f4a">timerCb</a></td></tr>
<tr class="memdesc:a6e79e0eb4e4358a258a8789080c91f4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer Callback, required when ACK is enabled. <br /></td></tr>
<tr class="separator:a6e79e0eb4e4358a258a8789080c91f4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90813d9103f3cf459ab4b32a663f344f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90813d9103f3cf459ab4b32a663f344f"></a>
<a class="el" href="structrl_cmd_parser_cbs__t.html">rlCmdParserCbs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a90813d9103f3cf459ab4b32a663f344f">cmdParserCb</a></td></tr>
<tr class="memdesc:a90813d9103f3cf459ab4b32a663f344f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Call back for parsing the Command received at MSS from the Host TI Internal Use only. <br /></td></tr>
<tr class="separator:a90813d9103f3cf459ab4b32a663f344f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80aba1fcd510da1085e06674e52cc9a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80aba1fcd510da1085e06674e52cc9a1"></a>
<a class="el" href="structrl_crc_cbs__t.html">rlCrcCbs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a80aba1fcd510da1085e06674e52cc9a1">crcCb</a></td></tr>
<tr class="memdesc:a80aba1fcd510da1085e06674e52cc9a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC Callback, required when CRC is enabled. <br /></td></tr>
<tr class="separator:a80aba1fcd510da1085e06674e52cc9a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c7ea5fda74add672d0732bfc4d0eec6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c7ea5fda74add672d0732bfc4d0eec6"></a>
rlCrcType_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a0c7ea5fda74add672d0732bfc4d0eec6">crcType</a></td></tr>
<tr class="memdesc:a0c7ea5fda74add672d0732bfc4d0eec6"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC Types rlCrcType_t 16/32/64. <br /></td></tr>
<tr class="separator:a0c7ea5fda74add672d0732bfc4d0eec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62cdab42bdeb9da283f270f5c0484e22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62cdab42bdeb9da283f270f5c0484e22"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a62cdab42bdeb9da283f270f5c0484e22">ackTimeout</a></td></tr>
<tr class="memdesc:a62cdab42bdeb9da283f270f5c0484e22"><td class="mdescLeft">&#160;</td><td class="mdescRight">ACK wait timeout in Milliseconds, 0 - No ACK Configuration of the timeout should consider interrupt latency in the processor. <br /></td></tr>
<tr class="separator:a62cdab42bdeb9da283f270f5c0484e22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a853581c4d17962776644e8d0eb5fbe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a853581c4d17962776644e8d0eb5fbe"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a6a853581c4d17962776644e8d0eb5fbe">platform</a></td></tr>
<tr class="memdesc:a6a853581c4d17962776644e8d0eb5fbe"><td class="mdescLeft">&#160;</td><td class="mdescRight">0x0: mmWaveLink runs on Ext Host, <br />
 0x1: mmWaveLink runs on MSS, <br />
 0x2: mmWaveLink runs on DSS <br />
<br /></td></tr>
<tr class="separator:a6a853581c4d17962776644e8d0eb5fbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc7fcab555a2a271d6bd8d6a68ba148"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1fc7fcab555a2a271d6bd8d6a68ba148"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a1fc7fcab555a2a271d6bd8d6a68ba148">arDevType</a></td></tr>
<tr class="memdesc:a1fc7fcab555a2a271d6bd8d6a68ba148"><td class="mdescLeft">&#160;</td><td class="mdescRight">xWR12xx + HOST = 0x0, xWR14xx MSS = 0x1, xWR16xx MSS/DSS = 0x2 <br /></td></tr>
<tr class="separator:a1fc7fcab555a2a271d6bd8d6a68ba148"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ac665037fc50d97741c0204862ae70e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ac665037fc50d97741c0204862ae70e"></a>
<a class="el" href="structrl_dbg_cb__t.html">rlDbgCb_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_client_cbs__t.html#a4ac665037fc50d97741c0204862ae70e">dbgCb</a></td></tr>
<tr class="memdesc:a4ac665037fc50d97741c0204862ae70e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Debug Callback, required to receive Debug information. <br /></td></tr>
<tr class="separator:a4ac665037fc50d97741c0204862ae70e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWaveLink client callback structure </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
